"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.defaultProjectNumber = void 0;
exports.initI18nCfDeployConfigInquirer = initI18nCfDeployConfigInquirer;
exports.t = t;
const i18next_1 = __importDefault(require("i18next"));
const cf_deploy_config_inquirer_i18n_json_1 = __importDefault(require("./translations/cf-deploy-config-inquirer.i18n.json"));
const cfInquirerNamespace = 'cf-deploy-config-inquirer';
exports.defaultProjectNumber = 1;
/**
 * Initialize i18next with the translations for this module.
 */
async function initI18nCfDeployConfigInquirer() {
    await i18next_1.default.init({
        lng: 'en',
        fallbackLng: 'en',
        interpolation: {
            defaultVariables: {
                defaultProjectNumber: exports.defaultProjectNumber
            }
        }
    }, () => i18next_1.default.addResourceBundle('en', cfInquirerNamespace, cf_deploy_config_inquirer_i18n_json_1.default));
}
/**
 * Helper function facading the call to i18next. Unless a namespace option is provided the local namespace will be used.
 *
 * @param key i18n key
 * @param options additional options
 * @returns {string} localized string stored for the given key
 */
function t(key, options) {
    if (!options?.ns) {
        options = Object.assign(options ?? {}, { ns: cfInquirerNamespace });
    }
    return i18next_1.default.t(key, options);
}
initI18nCfDeployConfigInquirer().catch(() => {
    // Needed for lint
});
//# sourceMappingURL=i18n.js.map