import type { CfDeployConfigPromptOptions, CfDeployConfigQuestions } from '../types';
import type { Logger } from '@sap-ux/logger';
/**
 * Retrieves a list of deployment questions based on the application root and prompt options.
 *
 * @param {CfDeployConfigPromptOptions} promptOptions - The configuration options for prompting during cf target deployment.
 * @param {Logger} [log] - The logger instance to use for logging.
 * @returns {CfDeployConfigQuestions[]} Returns an array of questions related to cf deployment configuration.
 */
export declare function getQuestions(promptOptions: CfDeployConfigPromptOptions, log?: Logger): Promise<CfDeployConfigQuestions[]>;
//# sourceMappingURL=prompts.d.ts.map