"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RouterModuleType = exports.appRouterPromptNames = exports.promptNames = void 0;
/**
 * Enum defining prompt names for Cloud Foundry (CF) deployment configuration.
 */
var promptNames;
(function (promptNames) {
    /** The prompt to specify the destination name for CF deployment. */
    promptNames["destinationName"] = "destinationName";
    /** The prompt to specify if a managed app router should be added to the deployment. */
    promptNames["addManagedAppRouter"] = "addManagedAppRouter";
    /** The prompt for confirming destination overwrite. */
    promptNames["overwrite"] = "overwriteDestinationName";
})(promptNames || (exports.promptNames = promptNames = {}));
/**
 * Enum defining prompt names for Application Router configuration.
 */
var appRouterPromptNames;
(function (appRouterPromptNames) {
    /* The prompt to specify the MTA path to the MTA folder. */
    appRouterPromptNames["mtaPath"] = "mtaPath";
    /* The prompt to specify the MTA ID. */
    appRouterPromptNames["mtaId"] = "mtaId";
    /* The prompt to specify the MTA description. */
    appRouterPromptNames["mtaDescription"] = "mtaDescription";
    /* The prompt to specify the MTA version. */
    appRouterPromptNames["mtaVersion"] = "mtaVersion";
    /* Prompt for selecting the type of Application Router (standard or managed) */
    appRouterPromptNames["routerType"] = "routerType";
    /* Prompt for selecting the Connectivity service */
    appRouterPromptNames["addConnectivityService"] = "addConnectivityService";
    /* Prompt for selecting abap service binding*/
    appRouterPromptNames["addABAPServiceBinding"] = "addABAPServiceBinding";
    /* Prompt for selecting the ABAP environments */
    appRouterPromptNames["abapServiceProvider"] = "abapServiceProvider";
})(appRouterPromptNames || (exports.appRouterPromptNames = appRouterPromptNames = {}));
/**
 * Defines the types of router modules for the Application Router configuration.
 */
exports.RouterModuleType = {
    Standard: 'standard',
    Managed: 'managed'
};
//# sourceMappingURL=types.js.map